/*================================*/
/*    ERRORS.CSS                  */
/*    KGARMIRE, 2026-02-04        */
/*================================*/

/* This file contains the styles for the various error responses. */


.error-link{
    color:var(--dcny-red);
    cursor: pointer;
}

.error-box{
    display: none;
    border: 1px solid var(--dcny-red);
    padding: 4px;
    background-color: white;
    color:var(--dcny-red);
    cursor: pointer;
}

.error-link.no-hover,
.error-box.no-hover {
    cursor: auto;
}

/*--- CRITICAL ERROR MODAL -------*/
#error-modal{
    display:none;
    z-index: 99999;
}

#error-modal fieldset{
    color: var(--dcny-red);
    border-color: var(--dcny-red);
    padding: 8px 12px;
    font-size: 1rem;
}

#error-modal .actions{
    display: flex;
    justify-content: flex-end;
    gap:8px;
    margin-top:12px;
}

#error-modal .actions button{
    width: 200px;
    padding: 0 8px;
}



/*--- ERROR REPORT PAGE ----------*/
header.error{
    /*background-color:darkred;*/
    border-color:var(--dcny-red);
}

#error-report{
    height:calc(100% - 55px); 
    width:100%;
    padding:24px;

    background-color: #e1e1e1;
    background-image: url("/common/graphics/map_background.jpg");
    background-size : cover;
    background-position : center;
}

#error-report .modal{
    /*height:100%;*/
}

/* Contact form overwrites */
#error-report input{
    border-radius: 0px;
}

#error-report .xcf-button{
    background-color:var(--dcny-red);
    border:none;
    color:white;
    font-weight: bold;
}

#error-report .error-box{
    display: block;
}

#helpdesk-modal{
    display: none;
}


/*--- ERROR SNACKBARS ------------*/
#error-snackbars{
    display: flex;
    flex-direction: column;
    gap:8px;

    width:150px;
    height:100%;
    overflow: hidden;

    position: absolute;
    top:0;
    right:56px;

    /*background-color: magenta;*/
    pointer-events: none;
    padding-top: 8px;

    transition:0.4s;
}

#error-snackbars>*{pointer-events: auto;}

#error-snackbars .snackbar{
    display: grid;
    grid-template-columns: 24px 1fr;
    gap:8px;
    place-items: center start;

    padding:4px;
    background:var(--dcny-red);
    color:white;

    font-family: 'Montserrat', sans-serif;
    cursor: pointer;

    box-shadow: 0 1px 1px 0 rgba(0,0,0,0.14), 0 2px 1px -1px rgba(0,0,0,0.12), 0 1px 3px 0 rgba(0,0,0,0.20);
}


/*--- MISC -----------------------*/
#photo-error{display: none}


/*-------------- HOVER ---------------*/
@media (hover: hover) and (pointer: fine) {
    #error-report .xcf-button:hover,
    #error-snackbars .snackbar:hover
    {
        background-color: var(--hover-red);
    }

    .error-link:not(.no-hover):hover,
    .error-box:not(.no-hover):hover
    {text-decoration: underline;}
}